# Method: projects.locations.indexEndpoints.get

- [HTTP request](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/get#body.request_body)
- [Response body](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints/get#body.aspect_1)

Gets an IndexEndpoint.

### HTTP request

`GET https://visionai.googleapis.com/v1alpha1/{name=projects/*/locations/*/indexEndpoints/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the IndexEndpoint resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/vision-ai/docs/reference/rest/v1alpha1/projects.locations.indexEndpoints#IndexEndpoint`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `visionai.indexEndpoints.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).